Package org.optaplanner.core.impl.partitionedsearch

## Class DefaultPartitionedSearchPhaseFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.AbstractPhaseFactory<Solution_,​PartitionedSearchPhaseConfig>
  - - org.optaplanner.core.impl.partitionedsearch.DefaultPartitionedSearchPhaseFactory<Solution_>

- All Implemented Interfaces:
    `PhaseFactory<Solution_>`

      public class DefaultPartitionedSearchPhaseFactory<Solution_>
      extends AbstractPhaseFactory<Solution_,​PartitionedSearchPhaseConfig>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `phaseConfig`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPartitionedSearchPhaseFactory​(PartitionedSearchPhaseConfig phaseConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PartitionedSearchPhase<Solution_>` | `buildPhase​(int phaseIndex, HeuristicConfigPolicy<Solution_> solverConfigPolicy, BestSolutionRecaller<Solution_> bestSolutionRecaller, Termination<Solution_> solverTermination)` |
    `protected int` | `getAvailableProcessors()` |
    `protected Integer` | `resolveActiveThreadCount​(String runnablePartThreadLimit)` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `buildPhaseTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPartitionedSearchPhaseFactory

          public DefaultPartitionedSearchPhaseFactory​(PartitionedSearchPhaseConfig phaseConfig)

  - ### Method Detail

    - #### buildPhase

          public PartitionedSearchPhase<Solution_> buildPhase​(int phaseIndex,
                                                              HeuristicConfigPolicy<Solution_> solverConfigPolicy,
                                                              BestSolutionRecaller<Solution_> bestSolutionRecaller,
                                                              Termination<Solution_> solverTermination)

    - #### resolveActiveThreadCount

          protected Integer resolveActiveThreadCount​(String runnablePartThreadLimit)

    - #### getAvailableProcessors

          protected int getAvailableProcessors()